[Atheros AR9462] Bluetooth looks activated but cannot be used

Bug #1397885 reported by Pierre Equoy on 2014-12-01
38
This bug affects 7 people
Affects Status Importance Assigned to Milestone
bluez (Ubuntu)
Medium
Unassigned

Bug Description

Ubuntu 14.10

System Information
 Manufacturer: Acer
 Product Name: Aspire VN7-591G
 Version: V1.08
 SKU Number: Aspire VN7-591G_091B_1.08
 Family: Sharkbay System

lspci
07:00.0 Network controller: Qualcomm Atheros AR9462 Wireless Network Adapter (rev 01)

lsusb -v
Bus 003 Device 006: ID 04ca:300d Lite-On Technology Corp.

Steps to reproduce:
1. Activate a Bluetooth device (for instance a mouse or a nearby device)
2. On the laptop, press the Bluetooth icon, then "Set Up new Device…"

Expected result:
2. A list of available bluetooth devices is shown

Actual result:
2. Nothing shows up and the spinning icon keeps spinning with "Searching for devices..."

It looks like the bluetooth device does not work at all.

Apparently, there have been previous bugs reported and corrected [1], but the situation still occurs with this module on my laptop...

[1] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: bluez 4.101-0ubuntu20
ProcVersionSignature: Ubuntu 3.16.0-25.33-generic 3.16.7
Uname: Linux 3.16.0-25-generic x86_64
ApportVersion: 2.14.7-0ubuntu8
Architecture: amd64
CurrentDesktop: Unity
Date: Mon Dec 1 16:35:17 2014
EcryptfsInUse: Yes
InstallationDate: Installed on 2014-11-15 (15 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
InterestingModules: bnep rfcomm btusb bluetooth
MachineType: Acer Aspire VN7-591G
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.16.0-25-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
SourcePackage: bluez
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/12/2014
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: V1.08
dmi.board.asset.tag: No Asset Tag
dmi.board.name: Aspire VN7-591G
dmi.board.vendor: Acer
dmi.board.version: V1.08
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: V1.08
dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.08:bd09/12/2014:svnAcer:pnAspireVN7-591G:pvrV1.08:rvnAcer:rnAspireVN7-591G:rvrV1.08:cvnChassisManufacturer:ct10:cvrV1.08:
dmi.product.name: Aspire VN7-591G
dmi.product.version: V1.08
dmi.sys.vendor: Acer
hciconfig:
 hci0: Type: BR/EDR Bus: USB
  BD Address: 5C:93:A2:EB:FF:43 ACL MTU: 1022:8 SCO MTU: 183:5
  UP RUNNING PSCAN ISCAN
  RX bytes:2751 acl:0 sco:0 events:351 errors:0
  TX bytes:3779 acl:0 sco:0 commands:306 errors:0
syslog:
 Dec 1 16:21:16 Miles bluetoothd[631]: Discovery session 0x7fa5da51da30 with :1.228 activated
 Dec 1 16:27:43 Miles bluetoothd[631]: Discovery session 0x7fa5da530a50 with :1.230 activated

Pierre Equoy (pieq) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu):
status: New → Confirmed
Changed in bluez (Ubuntu):
importance: Undecided → Medium
Roland Kohn (roland-kohn) wrote :

strangely although i'm having the same notebook (alsoVN7- 591G, although -75H9) lspci is showing me

07:00.0 Network controller: Qualcomm Atheros Device 003e (rev 20)

a label on the bottom of the notebooks tells me
This device contains WLAN-Bluetooth module QCNFA344

Roland Kohn (roland-kohn) wrote :

another note: i'm anyhow affected by the same issue, though

btw - WLAN doesn't work either - but works when running windows

Pilot6 (hanipouspilot) wrote :

Anyone, who has this device (04ca:300d) , please give output of

usb-devices

Raphaël Jakse (raphael-jakse) wrote :

$ lsusb | grep 04ca:300d
Bus 001 Device 002: ID 04ca:300d Lite-On Technology Corp.

$ usb-devices
T: Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 9
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=03.19
S: Manufacturer=Linux 3.19.0-15-generic xhci-hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=01 Lev=01 Prnt=01 Port=04 Cnt=01 Dev#= 2 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=04ca ProdID=300d Rev=00.01
C: #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
I: If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb

T: Bus=01 Lev=01 Prnt=01 Port=06 Cnt=02 Dev#= 3 Spd=480 MxCh= 0
D: Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=04f2 ProdID=b469 Rev=28.57
S: Manufacturer=Chicony Electronics Co.,Ltd.
S: Product=HD WebCam
C: #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=500mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=0e(video) Sub=01 Prot=00 Driver=(none)
I: If#= 1 Alt= 0 #EPs= 0 Cls=0e(video) Sub=02 Prot=00 Driver=(none)

T: Bus=01 Lev=01 Prnt=01 Port=07 Cnt=03 Dev#= 4 Spd=480 MxCh= 0
D: Ver= 2.00 Cls=ff(vend.) Sub=ff Prot=ff MxPS=64 #Cfgs= 1
P: Vendor=0bda ProdID=0129 Rev=39.60
S: Manufacturer=Generic
S: Product=USB2.0-CRW
S: SerialNumber=20100201396000000
C: #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr=500mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=ff(vend.) Sub=06 Prot=50 Driver=rtsx_usb

T: Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=5000 MxCh= 4
D: Ver= 3.00 Cls=09(hub ) Sub=00 Prot=03 MxPS= 9 #Cfgs= 1
P: Vendor=1d6b ProdID=0003 Rev=03.19
S: Manufacturer=Linux 3.19.0-15-generic xhci-hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 2
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=03.19
S: Manufacturer=Linux 3.19.0-15-generic ehci_hcd
S: Product=EHCI Host Controller
S: SerialNumber=0000:00:1d.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=03 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#= 2 Spd=480 MxCh= 8
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=8087 ProdID=8000 Rev=00.04
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

Pilot6 (hanipouspilot) wrote :

Here is a patch against Ubuntu 3.19.0-16 kernel.

Pilot6 (hanipouspilot) wrote :

I will build kernel image and give a link for testing soon.

Raphaël Jakse (raphael-jakse) wrote :

One precision: I can't use Bluetooth with Linux, except when I start the computer on Windows and I reboot into Linux. In this case, bluetooth works as excepted until I suspend my computer. After resume, Bluetooth doesn't work anymore.

My computer is an Acer Aspire V3-371-31KW.

Raphaël Jakse (raphael-jakse) wrote :

Great, I will test your path as soon as your kernel image is ready.

Pilot6 (hanipouspilot) wrote :

Here are the binaries.

https://www.dropbox.com/sh/l6vamo3zonrunco/AABn4gyNyLIQI81Lx6hJ7pBSa?dl=0

Download them to your home directory, then run

sudo dpkg -i linux*.deb

Then TURN OFF the computer, turn it on again and test bluetooth.

The attachment "0001-ath3k-add-support-of-04ca-300d-AR3012-device.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Raphaël Jakse (raphael-jakse) wrote :

I just tried your path and it actually broke things: My bluetooth doesn't work anymore, even after rebooting from Windows.

When I sudo service bluetooth start ; blueman-applet, the applet behaves like the adapter is disabled. When I try to enable it, It does nothing. Retrying another time makes the applet say that the device is active but nothing is possible. With the stock kernel from Ubuntu 15.04, this works when the computer was rebooted from Windows.

Maybe this can help: I found this "reboot from Windows" trick by guessing that the firmware of the chipset might not be (correctly) sent to the chipset (maybe the wrong firmware is sent ? or no firmware is not sent at all? or the way of doing it is wrong?).
In this hypothesis, Windows would correctly send the firmware (or at least correctly initialize the chipset), making the adapter work in Linux after rebooting. I might be completely wrong, I could not verify this hypothesis is right.

Pilot6 (hanipouspilot) wrote :

Please give output of

dmesg | grep -i bluetooth

You maybe are right. There are some chips, where a newer firmware is needed.

Raphaël Jakse (raphael-jakse) wrote :

$ dmesg | grep -i bluetooth
[ 9.865736] Bluetooth: Core ver 2.20
[ 9.865762] Bluetooth: HCI device and connection manager initialized
[ 9.865767] Bluetooth: HCI socket layer initialized
[ 9.865770] Bluetooth: L2CAP socket layer initialized
[ 9.865778] Bluetooth: SCO socket layer initialized
[ 10.237000] Bluetooth: Configuration file not found ar3k/ramps_0x11020100_40.dfu
[ 10.237002] Bluetooth: Loading sysconfig file failed
[ 45.662602] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 45.662607] Bluetooth: BNEP filters: protocol multicast
[ 45.662612] Bluetooth: BNEP socket layer initialized
[ 56.211793] Bluetooth: RFCOMM TTY layer initialized
[ 56.211802] Bluetooth: RFCOMM socket layer initialized
[ 56.211808] Bluetooth: RFCOMM ver 1.11

Raphaël Jakse (raphael-jakse) wrote :

Sorry, I never noticed this line:

Configuration file not found ar3k/ramps_0x11020100_40.dfu

I would have mentioned it.

Pilot6 (hanipouspilot) wrote :

And also

lsmod | grep bluetooth

Raphaël Jakse (raphael-jakse) wrote :

$ lsmod | grep bluetooth
bluetooth 491520 12 bnep,ath3k,btusb,rfcomm

I'm on your kernel, btw

Pilot6 (hanipouspilot) wrote :

Look here

https://bugs.launchpad.net/ubuntu/+source/linux-firmware/+bug/1394368

In comments #6 and 7 there are firmware files. Download them and place where it is said.
Then it should work.

Raphaël Jakse (raphael-jakse) wrote :

I tried modprobing btcoexist but this did nothing.

Pilot6 (hanipouspilot) wrote :

Just get the firmware. It should work. And I will try to sort this out too.

Raphaël Jakse (raphael-jakse) wrote :

I just tried to get the firmware from comments #6 and #7 of https://bugs.launchpad.net/ubuntu/+source/linux-firmware/+bug/1394368

Under your kernel, the whole computer runs unstable. the login manager and X won't always start, the system takes ages to start, lsusb feezes and I get a log of the following with journalctl -xe.

 mai 02 19:21:00 white kernel: usb 1-5: new full-speed USB device number 49 using xhci_hcd
mai 02 19:21:01 white kernel: usb 1-5: New USB device found, idVendor=04ca, idProduct=300d
mai 02 19:21:01 white kernel: usb 1-5: New USB device strings: Mfr=0, Product=0, SerialNumber=0
mai 02 19:21:01 white kernel: usb 1-5: USB disconnect, device number 49
mai 02 19:21:01 white kernel: usb 1-5: new full-speed USB device number 50 using xhci_hcd
mai 02 19:21:01 white kernel: usb 1-5: New USB device found, idVendor=04ca, idProduct=300d
mai 02 19:21:01 white kernel: usb 1-5: New USB device strings: Mfr=0, Product=0, SerialNumber=0
mai 02 19:21:01 white kernel: usb 1-5: USB disconnect, device number 50
mai 02 19:21:01 white kernel: usb 1-5: new full-speed USB device number 51 using xhci_hcd
mai 02 19:21:02 white kernel: usb 1-5: New USB device found, idVendor=04ca, idProduct=300d
mai 02 19:21:02 white kernel: usb 1-5: New USB device strings: Mfr=0, Product=0, SerialNumber=0
mai 02 19:21:02 white kernel: usb 1-5: USB disconnect, device number 51
mai 02 19:21:02 white kernel: usb 1-5: new full-speed USB device number 52 using xhci_hcd
mai 02 19:21:02 white kernel: usb 1-5: New USB device found, idVendor=04ca, idProduct=300d
mai 02 19:21:02 white kernel: usb 1-5: New USB device strings: Mfr=0, Product=0, SerialNumber=0
mai 02 19:21:02 white kernel: usb 1-5: USB disconnect, device number 52
mai 02 19:21:03 white kernel: usb 1-5: new full-speed USB device number 53 using xhci_hcd
mai 02 19:21:03 white kernel: usb 1-5: New USB device found, idVendor=04ca, idProduct=300d
mai 02 19:21:03 white kernel: usb 1-5: New USB device strings: Mfr=0, Product=0, SerialNumber=0
mai 02 19:21:03 white kernel: usb 1-5: USB disconnect, device number 53
mai 02 19:21:03 white kernel: usb 1-5: new full-speed USB device number 54 using xhci_hcd
mai 02 19:21:03 white kernel: usb 1-5: New USB device found, idVendor=04ca, idProduct=300d
mai 02 19:21:03 white kernel: usb 1-5: New USB device strings: Mfr=0, Product=0, SerialNumber=0

With the stock kernel, however, bluetooth started working without needing to boot into Windows. Thanks for all your help!

Raphaël Jakse (raphael-jakse) wrote :

Sorry, my previous comment is incorrect.

Bluetooth works with the stock kernel only if I reboot from your kernel (with magic keys because other ways don't always work).

Pilot6 (hanipouspilot) wrote :

That is very strange. The only difference of my kernel with the stock one is that 3 lines of code regarding bt module.
Maybe you have troubles with 3.19.0-16 in general. It is not in main repos yet.
Maybe there are some unrelated issues. I guess your video driver did not build properly.
This happens. But now we know that it is that firmware issue.

Raphaël Jakse (raphael-jakse) wrote :

I'm going to try 3.19.0-16 to see. I have an Intel video card, I don't think this is the cause of the issue because I saw my login manager once with your kernel. The log reports continuous connect / disconnect from a usb device. I think this continuous connection/disconnection makes the whole stuff unstable.

Might this modification make the adapter unstable?

Download full text (3.9 KiB)

My patch only loads the firmware, nothing else. If the adapter works
after firmware has been loaded wel on another kernel, it is strange.

2015-05-02 21:08 GMT+03:00 Raphaël Jakse <email address hidden>:
> I'm going to try 3.19.0-16 to see. I have an Intel video card, I don't
> think this is the cause of the issue because I saw my login manager once
> with your kernel. The log reports continuous connect / disconnect from a
> usb device. I think this continuous connection/disconnection makes the
> whole stuff unstable.
>
> Might this modification make the adapter unstable?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1397885
>
> Title:
> [Atheros AR9462] Bluetooth looks activated but cannot be used
>
> Status in bluez package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu 14.10
>
> System Information
> Manufacturer: Acer
> Product Name: Aspire VN7-591G
> Version: V1.08
> SKU Number: Aspire VN7-591G_091B_1.08
> Family: Sharkbay System
>
> lspci
> 07:00.0 Network controller: Qualcomm Atheros AR9462 Wireless Network Adapter (rev 01)
>
>
> lsusb -v
> Bus 003 Device 006: ID 04ca:300d Lite-On Technology Corp.
>
>
> Steps to reproduce:
> 1. Activate a Bluetooth device (for instance a mouse or a nearby device)
> 2. On the laptop, press the Bluetooth icon, then "Set Up new Device…"
>
> Expected result:
> 2. A list of available bluetooth devices is shown
>
> Actual result:
> 2. Nothing shows up and the spinning icon keeps spinning with "Searching for devices..."
>
> It looks like the bluetooth device does not work at all.
>
> Apparently, there have been previous bugs reported and corrected [1],
> but the situation still occurs with this module on my laptop...
>
> [1] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: bluez 4.101-0ubuntu20
> ProcVersionSignature: Ubuntu 3.16.0-25.33-generic 3.16.7
> Uname: Linux 3.16.0-25-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Mon Dec 1 16:35:17 2014
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2014-11-15 (15 days ago)
> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
> InterestingModules: bnep rfcomm btusb bluetooth
> MachineType: Acer Aspire VN7-591G
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.16.0-25-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
> SourcePackage: bluez
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/12/2014
> dmi.bios.vendor: Insyde Corp.
> dmi.bios.version: V1.08
> dmi.board.asset.tag: No Asset Tag
> dmi.board.name: Aspire VN7-591G
> dmi.board.vendor: Acer
> dmi.board.version: V1.08
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: Chassis Manufacturer
> dmi.chassis.version: V1.08
> dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.08:bd09/12/2014:svnAcer:pnAspireVN7-591G:pvrV1.08:rvnAcer:rnAspireVN7-591G:rvrV1.08:cv...

Read more...

Raphaël Jakse (raphael-jakse) wrote :

I indeed have troubles with 3.19.0-16 downloaded here : http://www.ubuntuupdates.org/package/core/vivid/main/proposed/linux-image-3.19.0-16-generic

The Xorg server fails to start with it. However, the system boots normally. I'm going to retry your kernel just to be sure.

Sure this is strange anyway.

Pilot6 (hanipouspilot) wrote :
Download full text (3.8 KiB)

I can make a 3.19.0-15 for you. But you better report a bug of that
kernel, so it does not get into main.
But I do not see what could cause that. There is only one commit
between 15 and 16.

2015-05-02 21:52 GMT+03:00 Raphaël Jakse <email address hidden>:
> I indeed have troubles with 3.19.0-16 downloaded here :
> http://www.ubuntuupdates.org/package/core/vivid/main/proposed/linux-
> image-3.19.0-16-generic
>
> The Xorg server fails to start with it. However, the system boots
> normally. I'm going to retry your kernel just to be sure.
>
> Sure this is strange anyway.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1397885
>
> Title:
> [Atheros AR9462] Bluetooth looks activated but cannot be used
>
> Status in bluez package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu 14.10
>
> System Information
> Manufacturer: Acer
> Product Name: Aspire VN7-591G
> Version: V1.08
> SKU Number: Aspire VN7-591G_091B_1.08
> Family: Sharkbay System
>
> lspci
> 07:00.0 Network controller: Qualcomm Atheros AR9462 Wireless Network Adapter (rev 01)
>
>
> lsusb -v
> Bus 003 Device 006: ID 04ca:300d Lite-On Technology Corp.
>
>
> Steps to reproduce:
> 1. Activate a Bluetooth device (for instance a mouse or a nearby device)
> 2. On the laptop, press the Bluetooth icon, then "Set Up new Device…"
>
> Expected result:
> 2. A list of available bluetooth devices is shown
>
> Actual result:
> 2. Nothing shows up and the spinning icon keeps spinning with "Searching for devices..."
>
> It looks like the bluetooth device does not work at all.
>
> Apparently, there have been previous bugs reported and corrected [1],
> but the situation still occurs with this module on my laptop...
>
> [1] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: bluez 4.101-0ubuntu20
> ProcVersionSignature: Ubuntu 3.16.0-25.33-generic 3.16.7
> Uname: Linux 3.16.0-25-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Mon Dec 1 16:35:17 2014
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2014-11-15 (15 days ago)
> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
> InterestingModules: bnep rfcomm btusb bluetooth
> MachineType: Acer Aspire VN7-591G
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.16.0-25-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
> SourcePackage: bluez
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/12/2014
> dmi.bios.vendor: Insyde Corp.
> dmi.bios.version: V1.08
> dmi.board.asset.tag: No Asset Tag
> dmi.board.name: Aspire VN7-591G
> dmi.board.vendor: Acer
> dmi.board.version: V1.08
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: Chassis Manufacturer
> dmi.chassis.version: V1.08
> dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.08:bd09/12/2014:svnAcer:pnAspireVN7-591G:pvrV1.08:rvnAcer:rnAspireVN7-591G:rvrV1.08:cvnChas...

Read more...

Raphaël Jakse (raphael-jakse) wrote :

My bad, I didn't install linux-image-extra from ubuntu updates. In fact 3.19.0-16 unpatched is running fine with this package.

But this makes stranger the fact that your 3 line patch makes my computer unstable but at the same time let the bluetooth + the whole stuff work correctly on another kernel after reboot.

Pilot6 (hanipouspilot) wrote :
Download full text (3.8 KiB)

Maybe you did not install extra of my image either? Try to download
the files again and install one more time.

2015-05-02 22:22 GMT+03:00 Raphaël Jakse <email address hidden>:
> My bad, I didn't install linux-image-extra from ubuntu updates. In fact
> 3.19.0-16 unpatched is running fine with this package.
>
> But this makes stranger the fact that your 3 line patch makes my
> computer unstable but at the same time let the bluetooth + the whole
> stuff work correctly on another kernel after reboot.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1397885
>
> Title:
> [Atheros AR9462] Bluetooth looks activated but cannot be used
>
> Status in bluez package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu 14.10
>
> System Information
> Manufacturer: Acer
> Product Name: Aspire VN7-591G
> Version: V1.08
> SKU Number: Aspire VN7-591G_091B_1.08
> Family: Sharkbay System
>
> lspci
> 07:00.0 Network controller: Qualcomm Atheros AR9462 Wireless Network Adapter (rev 01)
>
>
> lsusb -v
> Bus 003 Device 006: ID 04ca:300d Lite-On Technology Corp.
>
>
> Steps to reproduce:
> 1. Activate a Bluetooth device (for instance a mouse or a nearby device)
> 2. On the laptop, press the Bluetooth icon, then "Set Up new Device…"
>
> Expected result:
> 2. A list of available bluetooth devices is shown
>
> Actual result:
> 2. Nothing shows up and the spinning icon keeps spinning with "Searching for devices..."
>
> It looks like the bluetooth device does not work at all.
>
> Apparently, there have been previous bugs reported and corrected [1],
> but the situation still occurs with this module on my laptop...
>
> [1] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: bluez 4.101-0ubuntu20
> ProcVersionSignature: Ubuntu 3.16.0-25.33-generic 3.16.7
> Uname: Linux 3.16.0-25-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Mon Dec 1 16:35:17 2014
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2014-11-15 (15 days ago)
> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
> InterestingModules: bnep rfcomm btusb bluetooth
> MachineType: Acer Aspire VN7-591G
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.16.0-25-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
> SourcePackage: bluez
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/12/2014
> dmi.bios.vendor: Insyde Corp.
> dmi.bios.version: V1.08
> dmi.board.asset.tag: No Asset Tag
> dmi.board.name: Aspire VN7-591G
> dmi.board.vendor: Acer
> dmi.board.version: V1.08
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: Chassis Manufacturer
> dmi.chassis.version: V1.08
> dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.08:bd09/12/2014:svnAcer:pnAspireVN7-591G:pvrV1.08:rvnAcer:rnAspireVN7-591G:rvrV1.08:cvnChassisManufacturer:ct10:cvrV1.08:
> dmi.product.name: Aspire VN7-591G
> ...

Read more...

Raphaël Jakse (raphael-jakse) wrote :
Download full text (4.6 KiB)

I'm running your kernel with your extra. It took very long to boot
(somewhere it waits for 3 minutes (saying so), I don't know why).
journalctl -xe gives continuous USB disconnect / new USB device and
bluetooth is not working, acting the way I described in comment #13.
Rebooting to the -15 kernel will make everything work, bluetooth
included, I guess.

Seems like a bug in the firmware or the driver.

Le 02/05/2015 21:32, Pilot6 a écrit :
> Maybe you did not install extra of my image either? Try to download
> the files again and install one more time.
>
> 2015-05-02 22:22 GMT+03:00 Raphaël Jakse <email address hidden>:
>> My bad, I didn't install linux-image-extra from ubuntu updates. In fact
>> 3.19.0-16 unpatched is running fine with this package.
>>
>> But this makes stranger the fact that your 3 line patch makes my
>> computer unstable but at the same time let the bluetooth + the whole
>> stuff work correctly on another kernel after reboot.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1397885
>>
>> Title:
>> [Atheros AR9462] Bluetooth looks activated but cannot be used
>>
>> Status in bluez package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> Ubuntu 14.10
>>
>> System Information
>> Manufacturer: Acer
>> Product Name: Aspire VN7-591G
>> Version: V1.08
>> SKU Number: Aspire VN7-591G_091B_1.08
>> Family: Sharkbay System
>>
>> lspci
>> 07:00.0 Network controller: Qualcomm Atheros AR9462 Wireless Network Adapter (rev 01)
>>
>>
>> lsusb -v
>> Bus 003 Device 006: ID 04ca:300d Lite-On Technology Corp.
>>
>>
>> Steps to reproduce:
>> 1. Activate a Bluetooth device (for instance a mouse or a nearby device)
>> 2. On the laptop, press the Bluetooth icon, then "Set Up new Device…"
>>
>> Expected result:
>> 2. A list of available bluetooth devices is shown
>>
>> Actual result:
>> 2. Nothing shows up and the spinning icon keeps spinning with "Searching for devices..."
>>
>> It looks like the bluetooth device does not work at all.
>>
>> Apparently, there have been previous bugs reported and corrected [1],
>> but the situation still occurs with this module on my laptop...
>>
>> [1] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 14.10
>> Package: bluez 4.101-0ubuntu20
>> ProcVersionSignature: Ubuntu 3.16.0-25.33-generic 3.16.7
>> Uname: Linux 3.16.0-25-generic x86_64
>> ApportVersion: 2.14.7-0ubuntu8
>> Architecture: amd64
>> CurrentDesktop: Unity
>> Date: Mon Dec 1 16:35:17 2014
>> EcryptfsInUse: Yes
>> InstallationDate: Installed on 2014-11-15 (15 days ago)
>> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
>> InterestingModules: bnep rfcomm btusb bluetooth
>> MachineType: Acer Aspire VN7-591G
>> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.16.0-25-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
>> SourcePackage: bluez
>> UpgradeStatus: No upgrade log present (probably fresh install)
>> ...

Read more...

Pilot6 (hanipouspilot) wrote :
Download full text (8.2 KiB)

I agree. I wrote to the bluetooth linux driver maintainer and I will
tell him that too.

2015-05-02 22:47 GMT+03:00 Raphaël Jakse <email address hidden>:
> I'm running your kernel with your extra. It took very long to boot
> (somewhere it waits for 3 minutes (saying so), I don't know why).
> journalctl -xe gives continuous USB disconnect / new USB device and
> bluetooth is not working, acting the way I described in comment #13.
> Rebooting to the -15 kernel will make everything work, bluetooth
> included, I guess.
>
> Seems like a bug in the firmware or the driver.
>
> Le 02/05/2015 21:32, Pilot6 a écrit :
>> Maybe you did not install extra of my image either? Try to download
>> the files again and install one more time.
>>
>> 2015-05-02 22:22 GMT+03:00 Raphaël Jakse <email address hidden>:
>>> My bad, I didn't install linux-image-extra from ubuntu updates. In fact
>>> 3.19.0-16 unpatched is running fine with this package.
>>>
>>> But this makes stranger the fact that your 3 line patch makes my
>>> computer unstable but at the same time let the bluetooth + the whole
>>> stuff work correctly on another kernel after reboot.
>>>
>>> --
>>> You received this bug notification because you are subscribed to the bug
>>> report.
>>> https://bugs.launchpad.net/bugs/1397885
>>>
>>> Title:
>>> [Atheros AR9462] Bluetooth looks activated but cannot be used
>>>
>>> Status in bluez package in Ubuntu:
>>> Confirmed
>>>
>>> Bug description:
>>> Ubuntu 14.10
>>>
>>> System Information
>>> Manufacturer: Acer
>>> Product Name: Aspire VN7-591G
>>> Version: V1.08
>>> SKU Number: Aspire VN7-591G_091B_1.08
>>> Family: Sharkbay System
>>>
>>> lspci
>>> 07:00.0 Network controller: Qualcomm Atheros AR9462 Wireless Network Adapter (rev 01)
>>>
>>>
>>> lsusb -v
>>> Bus 003 Device 006: ID 04ca:300d Lite-On Technology Corp.
>>>
>>>
>>> Steps to reproduce:
>>> 1. Activate a Bluetooth device (for instance a mouse or a nearby device)
>>> 2. On the laptop, press the Bluetooth icon, then "Set Up new Device…"
>>>
>>> Expected result:
>>> 2. A list of available bluetooth devices is shown
>>>
>>> Actual result:
>>> 2. Nothing shows up and the spinning icon keeps spinning with "Searching for devices..."
>>>
>>> It looks like the bluetooth device does not work at all.
>>>
>>> Apparently, there have been previous bugs reported and corrected [1],
>>> but the situation still occurs with this module on my laptop...
>>>
>>> [1] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
>>>
>>> ProblemType: Bug
>>> DistroRelease: Ubuntu 14.10
>>> Package: bluez 4.101-0ubuntu20
>>> ProcVersionSignature: Ubuntu 3.16.0-25.33-generic 3.16.7
>>> Uname: Linux 3.16.0-25-generic x86_64
>>> ApportVersion: 2.14.7-0ubuntu8
>>> Architecture: amd64
>>> CurrentDesktop: Unity
>>> Date: Mon Dec 1 16:35:17 2014
>>> EcryptfsInUse: Yes
>>> InstallationDate: Installed on 2014-11-15 (15 days ago)
>>> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
>>> InterestingModules: bnep rfcomm btusb bluetooth
>>> MachineType: Acer Aspire VN7...

Read more...

Raphaël Jakse (raphael-jakse) wrote :

Thank you for your great help.

If you need anything, don't hesitate to ask. I keep your kernel installed if you need more info.

Raphaël Jakse (raphael-jakse) wrote :

I built linux-4.0.1 with your patch, I get the exact same result.

As a temporary workaround, it might be possible to trigger whatever happens to the card on reboot just after loading the firmware?

Though it would be great to understand what is going on.

Pilot6 (hanipouspilot) wrote :
Download full text (3.7 KiB)

I would wait what Marcel Holtman says abut that. It is possible to
turn on debug, but it will by easier for him.

2015-05-04 10:50 GMT+03:00 Raphaël Jakse <email address hidden>:
> I built linux-4.0.1 with your patch, I get the exact same result.
>
> As a temporary workaround, it might be possible to trigger whatever
> happens to the card on reboot just after loading the firmware?
>
> Though it would be great to understand what is going on.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1397885
>
> Title:
> [Atheros AR9462] Bluetooth looks activated but cannot be used
>
> Status in bluez package in Ubuntu:
> Confirmed
>
> Bug description:
> Ubuntu 14.10
>
> System Information
> Manufacturer: Acer
> Product Name: Aspire VN7-591G
> Version: V1.08
> SKU Number: Aspire VN7-591G_091B_1.08
> Family: Sharkbay System
>
> lspci
> 07:00.0 Network controller: Qualcomm Atheros AR9462 Wireless Network Adapter (rev 01)
>
>
> lsusb -v
> Bus 003 Device 006: ID 04ca:300d Lite-On Technology Corp.
>
>
> Steps to reproduce:
> 1. Activate a Bluetooth device (for instance a mouse or a nearby device)
> 2. On the laptop, press the Bluetooth icon, then "Set Up new Device…"
>
> Expected result:
> 2. A list of available bluetooth devices is shown
>
> Actual result:
> 2. Nothing shows up and the spinning icon keeps spinning with "Searching for devices..."
>
> It looks like the bluetooth device does not work at all.
>
> Apparently, there have been previous bugs reported and corrected [1],
> but the situation still occurs with this module on my laptop...
>
> [1] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: bluez 4.101-0ubuntu20
> ProcVersionSignature: Ubuntu 3.16.0-25.33-generic 3.16.7
> Uname: Linux 3.16.0-25-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Mon Dec 1 16:35:17 2014
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2014-11-15 (15 days ago)
> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
> InterestingModules: bnep rfcomm btusb bluetooth
> MachineType: Acer Aspire VN7-591G
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.16.0-25-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
> SourcePackage: bluez
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/12/2014
> dmi.bios.vendor: Insyde Corp.
> dmi.bios.version: V1.08
> dmi.board.asset.tag: No Asset Tag
> dmi.board.name: Aspire VN7-591G
> dmi.board.vendor: Acer
> dmi.board.version: V1.08
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: Chassis Manufacturer
> dmi.chassis.version: V1.08
> dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.08:bd09/12/2014:svnAcer:pnAspireVN7-591G:pvrV1.08:rvnAcer:rnAspireVN7-591G:rvrV1.08:cvnChassisManufacturer:ct10:cvrV1.08:
> dmi.product.name: Aspire VN7-591G
> dmi.product.version: V1.08
> dmi.sys.vendor: Acer
> ...

Read more...

Pilot6 (hanipouspilot) wrote :
Changed in bluez (Ubuntu):
status: Confirmed → In Progress
Raphaël Jakse (raphael-jakse) wrote :

Hello,

With your patch and the deb you provide in comment #36, I still experience the issue I described in comment #31.

Raphaël Jakse (raphael-jakse) wrote :
Download full text (9.5 KiB)

Hello !

The patch in comment #7 seems to consider my bluetooth adapter as a AR3012 ship.
According to https://wireless.wiki.kernel.org/en/users/drivers/ath3k, it seems to be a AR3011 ship:

    How to tell AR3011 and AR3012

    You can use lsusb -v to check the device descriptor. If it's AR3011, the iProduct value is 0. If it's AR3012 the iProduct value is 2.

The iProduct of by device seems to be 0, so my device seems to be a AR3011 ship.

According to the same page, if I got it correct, the firmware to use for AR3011 is ath3k-1.fw, not AthrBT_*.dfu and ramps_0x*_40.dfu.

Do you know how to tell ath3k to consider my device as a AR3011 ship?

lsusb -v:
[...]
Bus 001 Device 015: ID 04ca:300d Lite-On Technology Corp.
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 224 Wireless
  bDeviceSubClass 1 Radio Frequency
  bDeviceProtocol 1 Bluetooth
  bMaxPacketSize0 64
  idVendor 0x04ca Lite-On Technology Corp.
  idProduct 0x300d
  bcdDevice 0.01
  iManufacturer 0
  iProduct 0
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 177
    bNumInterfaces 2
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xe0
      Self Powered
      Remote Wakeup
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 3
      bInterfaceClass 224 Wireless
      bInterfaceSubClass 1 Radio Frequency
      bInterfaceProtocol 1 Bluetooth
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0010 1x 16 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 1
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 1
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 1
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass ...

Read more...

Raphaël Jakse (raphael-jakse) wrote :

Hello,

I just wrote a workaround for this bug. If you are concerned, you can test it. Please see the README file for more information.

It works by loading the patched driver, sleeping two seconds, unloading it and loading the unpatched driver, simulating the reboot I did to work with my Bluetooth card.

I still don't know why the patched driver don't work. I tested it in Mint, should work on Ubuntu, Debian or any derivative. It supports kernels 3.13, 3.19, 4.0, 4.1. Adding support for other kernel is relatively easy.

Any comment is appreciated.

Pilot6 (hanipouspilot) wrote :
Download full text (4.2 KiB)

Rafael,

Did you report it to upstream maintainers?

2015-07-19 18:46 GMT+03:00 Raphaël Jakse <email address hidden>:
> *** This bug is a duplicate of bug 1394368 ***
> https://bugs.launchpad.net/bugs/1394368
>
> Hello,
>
> I just wrote a workaround for this bug. If you are concerned, you can
> test it. Please see the README file for more information.
>
> It works by loading the patched driver, sleeping two seconds, unloading
> it and loading the unpatched driver, simulating the reboot I did to work
> with my Bluetooth card.
>
> I still don't know why the patched driver don't work. I tested it in
> Mint, should work on Ubuntu, Debian or any derivative. It supports
> kernels 3.13, 3.19, 4.0, 4.1. Adding support for other kernel is
> relatively easy.
>
> Any comment is appreciated.
>
> ** Attachment added: "Workaround, first version"
> https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1397885/+attachment/4431156/+files/ath3k-300d-workaround.tar.xz
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1397885
>
> Title:
> [Atheros AR9462] Bluetooth looks activated but cannot be used
>
> Status in bluez package in Ubuntu:
> In Progress
>
> Bug description:
> Ubuntu 14.10
>
> System Information
> Manufacturer: Acer
> Product Name: Aspire VN7-591G
> Version: V1.08
> SKU Number: Aspire VN7-591G_091B_1.08
> Family: Sharkbay System
>
> lspci
> 07:00.0 Network controller: Qualcomm Atheros AR9462 Wireless Network Adapter (rev 01)
>
>
> lsusb -v
> Bus 003 Device 006: ID 04ca:300d Lite-On Technology Corp.
>
>
> Steps to reproduce:
> 1. Activate a Bluetooth device (for instance a mouse or a nearby device)
> 2. On the laptop, press the Bluetooth icon, then "Set Up new Device…"
>
> Expected result:
> 2. A list of available bluetooth devices is shown
>
> Actual result:
> 2. Nothing shows up and the spinning icon keeps spinning with "Searching for devices..."
>
> It looks like the bluetooth device does not work at all.
>
> Apparently, there have been previous bugs reported and corrected [1],
> but the situation still occurs with this module on my laptop...
>
> [1] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: bluez 4.101-0ubuntu20
> ProcVersionSignature: Ubuntu 3.16.0-25.33-generic 3.16.7
> Uname: Linux 3.16.0-25-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Mon Dec 1 16:35:17 2014
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2014-11-15 (15 days ago)
> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
> InterestingModules: bnep rfcomm btusb bluetooth
> MachineType: Acer Aspire VN7-591G
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.16.0-25-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
> SourcePackage: bluez
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/12/2014
> dmi.bios.vendor: Insyde Corp.
> dmi.bios.version: V1.08
> dmi...

Read more...

Pilot6 (hanipouspilot) wrote :

This looks like a bug in ath3k module.

You are correct. ath3k just loads the firmware. After that btusb can handle the adapter.

If you upload the firmware to the adapter and then reboot, you do not need ath3k again, or that patch.
It is because the firmware is already there.

The only thing is to fix that bug in ath3k.

Raphaël Jakse (raphael-jakse) wrote :

Thanks for your answers.

No, I didn't report it to the maintainers yet. Should I report it on the linux-wireless mailing list?

I think we should remove the duplicate status of this bug as it became more specific.

Pilot6 (hanipouspilot) wrote :

No, report it to linux-bluetooth and personally to bluetooth maintainers.

BLUETOOTH DRIVERS
M: Marcel Holtmann <email address hidden>
M: Gustavo Padovan <email address hidden>
M: Johan Hedberg <email address hidden>
L: <email address hidden>
W: http://www.bluez.org/
T: git git://git.kernel.org/pub/scm/linux/kernel/git/bluetooth/bluetooth.git
T: git git://git.kernel.org/pub/scm/linux/kernel/git/bluetooth/bluetooth-next.git
S: Maintained
F: drivers/bluetooth/

Raphaël Jakse (raphael-jakse) wrote :

Thanks.

Le 19/07/2015 21:48, Pilot6 a écrit :
> *** This bug is a duplicate of bug 1394368 ***
> https://bugs.launchpad.net/bugs/1394368
>
> No, report it to linux-bluetooth and personally to bluetooth
> maintainers.
>
> BLUETOOTH DRIVERS
> M: Marcel Holtmann <email address hidden>
> M: Gustavo Padovan <email address hidden>
> M: Johan Hedberg <email address hidden>
> L: <email address hidden>
> W: http://www.bluez.org/
> T: git git://git.kernel.org/pub/scm/linux/kernel/git/bluetooth/bluetooth.git
> T: git git://git.kernel.org/pub/scm/linux/kernel/git/bluetooth/bluetooth-next.git
> S: Maintained
> F: drivers/bluetooth/
>

--
Raphaël Jakse

Pilot6 (hanipouspilot) wrote :
Download full text (4.3 KiB)

But please be careful and follow

https://www.kernel.org/pub/linux/docs/lkml/reporting-bugs.html

And use plain text mailer, or it will be removed as spam

2015-07-19 23:00 GMT+03:00 Raphaël Jakse <email address hidden>:
> *** This bug is a duplicate of bug 1394368 ***
> https://bugs.launchpad.net/bugs/1394368
>
> Thanks.
>
> Le 19/07/2015 21:48, Pilot6 a écrit :
>> *** This bug is a duplicate of bug 1394368 ***
>> https://bugs.launchpad.net/bugs/1394368
>>
>> No, report it to linux-bluetooth and personally to bluetooth
>> maintainers.
>>
>> BLUETOOTH DRIVERS
>> M: Marcel Holtmann <email address hidden>
>> M: Gustavo Padovan <email address hidden>
>> M: Johan Hedberg <email address hidden>
>> L: <email address hidden>
>> W: http://www.bluez.org/
>> T: git git://git.kernel.org/pub/scm/linux/kernel/git/bluetooth/bluetooth.git
>> T: git git://git.kernel.org/pub/scm/linux/kernel/git/bluetooth/bluetooth-next.git
>> S: Maintained
>> F: drivers/bluetooth/
>>
>
>
> --
> Raphaël Jakse
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1397885
>
> Title:
> [Atheros AR9462] Bluetooth looks activated but cannot be used
>
> Status in bluez package in Ubuntu:
> In Progress
>
> Bug description:
> Ubuntu 14.10
>
> System Information
> Manufacturer: Acer
> Product Name: Aspire VN7-591G
> Version: V1.08
> SKU Number: Aspire VN7-591G_091B_1.08
> Family: Sharkbay System
>
> lspci
> 07:00.0 Network controller: Qualcomm Atheros AR9462 Wireless Network Adapter (rev 01)
>
>
> lsusb -v
> Bus 003 Device 006: ID 04ca:300d Lite-On Technology Corp.
>
>
> Steps to reproduce:
> 1. Activate a Bluetooth device (for instance a mouse or a nearby device)
> 2. On the laptop, press the Bluetooth icon, then "Set Up new Device…"
>
> Expected result:
> 2. A list of available bluetooth devices is shown
>
> Actual result:
> 2. Nothing shows up and the spinning icon keeps spinning with "Searching for devices..."
>
> It looks like the bluetooth device does not work at all.
>
> Apparently, there have been previous bugs reported and corrected [1],
> but the situation still occurs with this module on my laptop...
>
> [1] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: bluez 4.101-0ubuntu20
> ProcVersionSignature: Ubuntu 3.16.0-25.33-generic 3.16.7
> Uname: Linux 3.16.0-25-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Mon Dec 1 16:35:17 2014
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2014-11-15 (15 days ago)
> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
> InterestingModules: bnep rfcomm btusb bluetooth
> MachineType: Acer Aspire VN7-591G
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.16.0-25-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
> SourcePackage: bluez
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/12/2014
> ...

Read more...

Pilot6 (hanipouspilot) wrote :
Download full text (4.5 KiB)

And CC me too please, if you do.

2015-07-19 23:08 GMT+03:00 Dmitry Tunin <email address hidden>:
> But please be careful and follow
>
> https://www.kernel.org/pub/linux/docs/lkml/reporting-bugs.html
>
> And use plain text mailer, or it will be removed as spam
>
> 2015-07-19 23:00 GMT+03:00 Raphaël Jakse <email address hidden>:
>> *** This bug is a duplicate of bug 1394368 ***
>> https://bugs.launchpad.net/bugs/1394368
>>
>> Thanks.
>>
>> Le 19/07/2015 21:48, Pilot6 a écrit :
>>> *** This bug is a duplicate of bug 1394368 ***
>>> https://bugs.launchpad.net/bugs/1394368
>>>
>>> No, report it to linux-bluetooth and personally to bluetooth
>>> maintainers.
>>>
>>> BLUETOOTH DRIVERS
>>> M: Marcel Holtmann <email address hidden>
>>> M: Gustavo Padovan <email address hidden>
>>> M: Johan Hedberg <email address hidden>
>>> L: <email address hidden>
>>> W: http://www.bluez.org/
>>> T: git git://git.kernel.org/pub/scm/linux/kernel/git/bluetooth/bluetooth.git
>>> T: git git://git.kernel.org/pub/scm/linux/kernel/git/bluetooth/bluetooth-next.git
>>> S: Maintained
>>> F: drivers/bluetooth/
>>>
>>
>>
>> --
>> Raphaël Jakse
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1397885
>>
>> Title:
>> [Atheros AR9462] Bluetooth looks activated but cannot be used
>>
>> Status in bluez package in Ubuntu:
>> In Progress
>>
>> Bug description:
>> Ubuntu 14.10
>>
>> System Information
>> Manufacturer: Acer
>> Product Name: Aspire VN7-591G
>> Version: V1.08
>> SKU Number: Aspire VN7-591G_091B_1.08
>> Family: Sharkbay System
>>
>> lspci
>> 07:00.0 Network controller: Qualcomm Atheros AR9462 Wireless Network Adapter (rev 01)
>>
>>
>> lsusb -v
>> Bus 003 Device 006: ID 04ca:300d Lite-On Technology Corp.
>>
>>
>> Steps to reproduce:
>> 1. Activate a Bluetooth device (for instance a mouse or a nearby device)
>> 2. On the laptop, press the Bluetooth icon, then "Set Up new Device…"
>>
>> Expected result:
>> 2. A list of available bluetooth devices is shown
>>
>> Actual result:
>> 2. Nothing shows up and the spinning icon keeps spinning with "Searching for devices..."
>>
>> It looks like the bluetooth device does not work at all.
>>
>> Apparently, there have been previous bugs reported and corrected [1],
>> but the situation still occurs with this module on my laptop...
>>
>> [1] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 14.10
>> Package: bluez 4.101-0ubuntu20
>> ProcVersionSignature: Ubuntu 3.16.0-25.33-generic 3.16.7
>> Uname: Linux 3.16.0-25-generic x86_64
>> ApportVersion: 2.14.7-0ubuntu8
>> Architecture: amd64
>> CurrentDesktop: Unity
>> Date: Mon Dec 1 16:35:17 2014
>> EcryptfsInUse: Yes
>> InstallationDate: Installed on 2014-11-15 (15 days ago)
>> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
>> InterestingModules: bnep rfcomm btusb bluetooth
>> MachineType: Acer Aspire VN7-591G
>> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.16.0-25-gene...

Read more...

Raphaël Jakse (raphael-jakse) wrote :

Ok, thanks for your advices. Before sending a report, I'm investigating
the bug a little bit.

I just discovered that commenting out the call to ath3k_load_patch in
ath3k_probe in the patched kernel seems to completely solves my issue,
which is a surprise to me as I thought this function load the firmware.
I'm stepping inside it for further investigation. I must try again to be
sure I didn't do any mistake.

Le 19/07/2015 22:12, Pilot6 a écrit :
> *** This bug is a duplicate of bug 1394368 ***
> https://bugs.launchpad.net/bugs/1394368
>
> And CC me too please, if you do.
>

--
Raphaël Jakse

Raphaël Jakse (raphael-jakse) wrote :

I indeed did a mistake. The firmware is not loaded anymore so the card is useless if I comment out the call to ath3k_load_patch. But it is not entering this disconnect loop anymore. Same behavior if I comment out the call to ath3k_load_firmware instead of ath3k_load_patch. I'm going to report the bug to the maintainers.

Pilot6 (hanipouspilot) wrote :

That is really a good catch.

ath3k_load_patch loads patch ram. Firmware is loaded by ath3k_load_firmware.

Probably a quirk will be needed for this device.

Pilot6 (hanipouspilot) wrote :
Download full text (4.2 KiB)

Rafael,

I saw your mail upstream. You made some mistakes.
You did not CC maintainers. They do not always read mailing lists. So
your mail won't be noticed.
Please forward this mail to maintainers emails.

Also please place your workaround somewhere closer to beginning of the
mail. Not after all logs.
It may be not noticed as well. And please also CC me too.
You can find my email in the kernel commit message.

2015-07-19 23:35 GMT+03:00 Raphaël Jakse <email address hidden>:
> *** This bug is a duplicate of bug 1394368 ***
> https://bugs.launchpad.net/bugs/1394368
>
> I indeed did a mistake. The firmware is not loaded anymore so the card
> is useless if I comment out the call to ath3k_load_patch. But it is not
> entering this disconnect loop anymore. Same behavior if I comment out
> the call to ath3k_load_firmware instead of ath3k_load_patch. I'm going
> to report the bug to the maintainers.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1397885
>
> Title:
> [Atheros AR9462] Bluetooth looks activated but cannot be used
>
> Status in bluez package in Ubuntu:
> In Progress
>
> Bug description:
> Ubuntu 14.10
>
> System Information
> Manufacturer: Acer
> Product Name: Aspire VN7-591G
> Version: V1.08
> SKU Number: Aspire VN7-591G_091B_1.08
> Family: Sharkbay System
>
> lspci
> 07:00.0 Network controller: Qualcomm Atheros AR9462 Wireless Network Adapter (rev 01)
>
>
> lsusb -v
> Bus 003 Device 006: ID 04ca:300d Lite-On Technology Corp.
>
>
> Steps to reproduce:
> 1. Activate a Bluetooth device (for instance a mouse or a nearby device)
> 2. On the laptop, press the Bluetooth icon, then "Set Up new Device…"
>
> Expected result:
> 2. A list of available bluetooth devices is shown
>
> Actual result:
> 2. Nothing shows up and the spinning icon keeps spinning with "Searching for devices..."
>
> It looks like the bluetooth device does not work at all.
>
> Apparently, there have been previous bugs reported and corrected [1],
> but the situation still occurs with this module on my laptop...
>
> [1] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.10
> Package: bluez 4.101-0ubuntu20
> ProcVersionSignature: Ubuntu 3.16.0-25.33-generic 3.16.7
> Uname: Linux 3.16.0-25-generic x86_64
> ApportVersion: 2.14.7-0ubuntu8
> Architecture: amd64
> CurrentDesktop: Unity
> Date: Mon Dec 1 16:35:17 2014
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2014-11-15 (15 days ago)
> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
> InterestingModules: bnep rfcomm btusb bluetooth
> MachineType: Acer Aspire VN7-591G
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.16.0-25-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
> SourcePackage: bluez
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 09/12/2014
> dmi.bios.vendor: Insyde Corp.
> dmi.bios.version: V1.08
> dmi.board.asset.tag: No Asset Tag
> dmi.board.name: Aspire VN7-...

Read more...

Pilot6 (hanipouspilot) wrote :
Download full text (4.5 KiB)

Sry for my comment. You sent it. Just got it tu spam folder and
mailing list did not show CCs.

2015-07-20 13:26 GMT+03:00 Dmitry Tunin <email address hidden>:
> Rafael,
>
> I saw your mail upstream. You made some mistakes.
> You did not CC maintainers. They do not always read mailing lists. So
> your mail won't be noticed.
> Please forward this mail to maintainers emails.
>
> Also please place your workaround somewhere closer to beginning of the
> mail. Not after all logs.
> It may be not noticed as well. And please also CC me too.
> You can find my email in the kernel commit message.
>
> 2015-07-19 23:35 GMT+03:00 Raphaël Jakse <email address hidden>:
>> *** This bug is a duplicate of bug 1394368 ***
>> https://bugs.launchpad.net/bugs/1394368
>>
>> I indeed did a mistake. The firmware is not loaded anymore so the card
>> is useless if I comment out the call to ath3k_load_patch. But it is not
>> entering this disconnect loop anymore. Same behavior if I comment out
>> the call to ath3k_load_firmware instead of ath3k_load_patch. I'm going
>> to report the bug to the maintainers.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1397885
>>
>> Title:
>> [Atheros AR9462] Bluetooth looks activated but cannot be used
>>
>> Status in bluez package in Ubuntu:
>> In Progress
>>
>> Bug description:
>> Ubuntu 14.10
>>
>> System Information
>> Manufacturer: Acer
>> Product Name: Aspire VN7-591G
>> Version: V1.08
>> SKU Number: Aspire VN7-591G_091B_1.08
>> Family: Sharkbay System
>>
>> lspci
>> 07:00.0 Network controller: Qualcomm Atheros AR9462 Wireless Network Adapter (rev 01)
>>
>>
>> lsusb -v
>> Bus 003 Device 006: ID 04ca:300d Lite-On Technology Corp.
>>
>>
>> Steps to reproduce:
>> 1. Activate a Bluetooth device (for instance a mouse or a nearby device)
>> 2. On the laptop, press the Bluetooth icon, then "Set Up new Device…"
>>
>> Expected result:
>> 2. A list of available bluetooth devices is shown
>>
>> Actual result:
>> 2. Nothing shows up and the spinning icon keeps spinning with "Searching for devices..."
>>
>> It looks like the bluetooth device does not work at all.
>>
>> Apparently, there have been previous bugs reported and corrected [1],
>> but the situation still occurs with this module on my laptop...
>>
>> [1] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 14.10
>> Package: bluez 4.101-0ubuntu20
>> ProcVersionSignature: Ubuntu 3.16.0-25.33-generic 3.16.7
>> Uname: Linux 3.16.0-25-generic x86_64
>> ApportVersion: 2.14.7-0ubuntu8
>> Architecture: amd64
>> CurrentDesktop: Unity
>> Date: Mon Dec 1 16:35:17 2014
>> EcryptfsInUse: Yes
>> InstallationDate: Installed on 2014-11-15 (15 days ago)
>> InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Release amd64 (20141022.1)
>> InterestingModules: bnep rfcomm btusb bluetooth
>> MachineType: Acer Aspire VN7-591G
>> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.16.0-25-generic.efi.signed root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff...

Read more...

Raphaël Jakse (raphael-jakse) wrote :

In fact I unfortunately used the "To" field instead of "Cc". I hope it
won't cause to much trouble.

As for the workaround, I followed the format suggested at
https://www.kernel.org/pub/linux/docs/lkml/reporting-bugs.html
I personally would not have formated it this way but I preferred to stay
at what the maintainers might be used to. Maybe I will do this
differently next time. I hope it didn't end in their spam folder as it
did for you. The mail was quite long and some people seem to struggle
with LKML mails and spam filters these days
(https://plus.google.com/102150693225130002912)

Thank you for having put the workaround at evidence by answering to the
mail and for taking time to guide me in my bug reporting path.

Le 20/07/2015 13:56, Pilot6 a écrit :
> *** This bug is a duplicate of bug 1394368 ***
> https://bugs.launchpad.net/bugs/1394368
>
> Sry for my comment. You sent it. Just got it tu spam folder and
> mailing list did not show CCs.
>

--
Raphaël Jakse

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers